# -*- coding: utf-8 -*-

from odoo import models

class HrDMFALocationUnit(models.Model):
    _inherit = 'l10n_be.dmfa.location.unit'

    def _get_code(self):
        self.ensure_one()
        # Note, the code is a 10 digits integer, and the number for Farm 2 is 2281178395
        # As the field is an integer, the value is above MAXINT. This will be improved in master
        # using a char field.
        units = {
            3: '2281178395', # Farm 2
            4: '2195569165', # LLN
            5: '2311996879', # Anvers
        }
        return units.get(self.id, super()._get_code())
